server:
  servlet:
    context-path: /
  port: 8885
sa-token:
  activity-timeout: 18000
  token-name: token
  token-style: tik
  # 是否允许同一账号并发登录 (为true时允许一起登录, 为false时新登录挤掉旧登录)
  is-concurrent: true
  timeout: 604800
spring:
  thymeleaf:
    cache: false
    mode: HTML5
    #    # 使用 smtp 协议
    #  mail.protocol: smtps
    #  mail.host: smtp.exmail.qq.com
    #  mail.port: 465
    #  mail.username: shenyongyi@china-wispro.com
    #    # 授权码
    #  mail.password: c3hY5cgAexhhr9HL
    #  mail.test-connection: false
    #  mail.properties.mail.smtp.auth: true
    #  mail.properties.mail.debug: false
    #  mail.properties.mail.mime.splitlongparameters: false
    #  mail.default-encoding: UTF-8
    # rabbitmq
  rabbitmq.host: 47.101.137.223
  rabbitmq.port: 5672
  rabbitmq.username: admin
  rabbitmq.password: 123456
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  aop:
    auto: true
    proxy-target-class: true
  application:
    name: rms
  servlet:
    multipart:
      max-file-size: 1000MB
      max-request-size: 1000MB
  profiles:
    active: dev
  jackson:
    default-property-inclusion: non_null
    serialization:
      INDENT_OUTPUT: true
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: Asia/Shanghai
logging:
  config: classpath:config/logback-spring.xml
  level:
    cn.cslg.report.mapper: debug
#mybatis
mybatis-plus:
  typeAliasesPackage: cn.cslg.report.entity
  global-config:
    db-config:
      id-type: AUTO
      logic-delete-value: 0
      logic-not-delete-value: 1
  configuration:
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true
    cache-enabled: false
  mapper-locations: classpath:mapper/*.xml


